<div class="container-fluid" style="font-size: 10px">
  <div class="col-md-12">
    <div class="box">
      <div class="box-header with-border">
        <h3 class="box-title">Users</h3>
        <button class="btn btn-success btn-xs fa-pull-right"
                [routerLink]="['/users/create', 'new']">
          Add New Users
        </button>
      </div>
      <!-- /.box-header -->
      <div class="box-body">
        <p-table id="exportTable"
                 class="text-left"
                 [columns]="columnName"
                 [value]="(data$)"
                 [(selection)]="selectedItems"
                 [resizableColumns]="true"
                 [autoLayout]="true">
          <ng-template pTemplate="caption">
            <div class="row">
              <div class="col-sm-6">
                <div class="ui-inputgroup">
                  <input type="text"
                         placeholder="Search users"
                         [(ngModel)]="userName">
                  <button class="btn btn-info btn-xs"
                          (click)="searchUsers(userName)">
                    Search
                  </button>
                </div>
              </div>
              <div class="col-sm-6">
                <span class="fa-pull-left">
                  List of Users
                :&nbsp;{{ totalRecords }}
                </span>

              </div>
            </div>
          </ng-template>
          <ng-template pTemplate="header" let-columns>
            <tr>
              <th *ngFor="let col of columns" [pSortableColumn]="col.value">
                {{col.name}}
                <p-sortIcon [field]="col.value"></p-sortIcon>
              </th>
            </tr>
          </ng-template>

          <ng-template pTemplate="body" let-list let-i="rowIndex">
            <tr [ngStyle]="{'background-color':i%2 === 0 ? '#fafafa' : '#e9ecef'}">
              <td>{{ i + 1 + page*itemsPerPage}}</td>
              <td>{{ list.fullName}}</td>
              <td>{{ list.username}}</td>
              <td>{{ list.department}}</td>
              <td>{{ list.branchName }}</td>
              <td>{{ list.userGroup }}</td>
              <td>{{ list.groupType }}</td>
              <td>{{ list.mobileNumber }}</td>
              <td>{{ list.employeeId }}</td>
              <td>{{ list.designation }}</td>
              <td>{{ list.parent?.fullName }}</td>
              <td>
                <a [routerLink]="['/users/create', list.userId]">
                  <i class="pi pi-user-edit" style="font-size: 2em"></i>
                </a>
              </td>
            </tr>
          </ng-template>
        </p-table>
        <p-paginator
          [rows]="itemsPerPage"
          [totalRecords]="totalRecords"
          pageLinkSize="3"
          [rowsPerPageOptions]="rowsPerPageOptions"
          (onPageChange)="paginate($event)">
        </p-paginator>
      </div>
    </div>
  </div>
</div>
